@import 'reset';
@import 'responsive';
@import 'effects';
@import 'base';

.title {
	display: flex;
	flex-direction: column;
	text-align: center;

	@include lg {
		grid-area: title;
	}

	@include xl {
		margin-left: 28.5rem;
		margin-right: 28.5rem;
	}

	> div {
		margin-bottom: 1.6rem;
		line-height: 3.6rem;
		color: var(--dark-blue);

		text-align: center;
		letter-spacing: 0.166667px;

		h1 {
			font-size: 2.4rem;
			font-weight: var(--font-weight-light);

			@include lg {
				font-size: 3.6rem;
				line-height: 5.4rem;
				letter-spacing: 0.025rem;
			}
		}

		span {
			font-weight: var(--font-weight-bold);
			font-size: 2.4rem;

			@include lg {
				font-size: 3.6rem;
				line-height: 5.4rem;
				letter-spacing: 0.025rem;
			}
		}
	}

	p {
		font-weight: normal;
		font-size: 1.5rem;
		line-height: 2.5rem;
		text-align: center;
		letter-spacing: 0.104167px;
		color: var(--dark-blue);
		mix-blend-mode: normal;
		opacity: 0.5;
	}
}

.supervisor {
	@include lg {
		grid-area: left;
		margin-bottom: auto;
		margin-top: auto;
		height: calc((100% - 3rem) / 2);
	}

	.border {
		background: var(--cyan);
	}
}

.team {
	@include lg {
		grid-area: top;
	}

	.border {
		background: var(--red);
	}
}

.karma {
	@include lg {
		grid-area: bottom;
	}

	.border {
		background: var(--orange);
	}
}

.calculator {
	@include lg {
		grid-area: right;
		margin-bottom: auto;
		margin-top: auto;
		height: calc((100% - 3rem) / 2);
	}

	.border {
		background: var(--blue);
	}
}
